Update Symptom Definition

Update Symptom Definition
Update an existing Symptom Definition

Update an existing Symptom Definition

Request
URI
PUT
https://{api_host}/suite-api/api/symptomdefinitions
COPY
Request Body

The Symptom Definition to update

symptom-definition of type(s) application/json
Required

Show optional properties

{
    "adapterKindKey": "string",
    "name": "string",
    "resourceKindKey": "string",
    "state": {
        "condition": {},
        "severity": "string"
    }
}
{
    "adapterKindKey": "string",
    "cancelCycles": 0,
    "id": "string",
    "name": "string",
    "realtimeMonitoringEnabled": false,
    "resourceKindKey": "string",
    "state": {
        "condition": {
            "instanced": false,
            "key": "string",
            "operator": "string",
            "settingValue": "string",
            "targetKey": "string",
            "thresholdType": "string",
            "value": "string",
            "valueType": "string"
        },
        "severity": "string"
    },
    "waitCycles": 0
}
string
adapterKindKey
Required

The adapter kind identifier for the SymptomDefinition

integer As int32 As int32
cancelCycles
Optional
Constraints: minimum: 1

The number of consecutive cycles to wait when a symptom state is false before a symptom is cancelled

string
id
Optional

The identifier for the SymptomDefinition. Must be null during create.

string
name
Required

The name of the SymptomDefinition

boolean
realtimeMonitoringEnabled
Optional

Indicates whether real-time monitoring is enabled for the symptom or not. (This field is not applicable)

string
resourceKindKey
Required

The resource kind identifier for the SymptomDefinition

object
state
Required

The SymptomState is a product of the severity and a condition. A symptom definition may have one SymptomState per severity level.

integer As int32 As int32
waitCycles
Optional
Constraints: minimum: 1

The number of consecutive cycles to wait when a symptom state is true before a symptom is triggered

Authentication
This operation uses the following authentication methods.
Responses
200

The updated Symptom Definition

Returns symptom-definition of type(s) application/json
"symptom-definition Object"
string
adapterKindKey
Required

The adapter kind identifier for the SymptomDefinition

integer As int32 As int32
cancelCycles
Optional
Constraints: minimum: 1

The number of consecutive cycles to wait when a symptom state is false before a symptom is cancelled

string
id
Optional

The identifier for the SymptomDefinition. Must be null during create.

string
name
Required

The name of the SymptomDefinition

boolean
realtimeMonitoringEnabled
Optional

Indicates whether real-time monitoring is enabled for the symptom or not. (This field is not applicable)

string
resourceKindKey
Required

The resource kind identifier for the SymptomDefinition

object
state
Required

The SymptomState is a product of the severity and a condition. A symptom definition may have one SymptomState per severity level.

integer As int32 As int32
waitCycles
Optional
Constraints: minimum: 1

The number of consecutive cycles to wait when a symptom state is true before a symptom is triggered


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"adapterKindKey":"string","name":"string","resourceKindKey":"string","state":"object"}' https://{api_host}/suite-api/api/symptomdefinitions